com.io7m.jcanephora.renderstate

## Class JCGLColorBufferMaskingStateMutable

- java.lang.Object
- - com.io7m.jcanephora.renderstate.JCGLColorBufferMaskingStateMutable

- All Implemented Interfaces:
    JCGLColorBufferMaskingStateType

      @Generated(value={"Modifiables.generator","JCGLColorBufferMaskingStateType"})
      public final class JCGLColorBufferMaskingStateMutable
      extends Object
      implements JCGLColorBufferMaskingStateType

  A modifiable implementation of the `JCGLColorBufferMaskingStateType` type.

  Use the `create()` static factory methods to create new instances.

  JCGLColorBufferMaskingStateMutable is not thread-safe

  See Also:
    `JCGLColorBufferMaskingState`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `alphaIsSet()` Returns `true` if the default attribute `alpha` is set.
    `boolean` | `blueIsSet()` Returns `true` if the default attribute `blue` is set.
    `JCGLColorBufferMaskingStateMutable` | `clear()` Clears the object by setting all attributes to their initial values.
    `static JCGLColorBufferMaskingStateMutable` | `create()` Construct a modifiable instance of `JCGLColorBufferMaskingStateType`.
    `static JCGLColorBufferMaskingStateMutable` | `create(boolean red, boolean green, boolean blue, boolean alpha)` Construct a modifiable instance of `JCGLColorBufferMaskingStateType`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLColorBufferMaskingStateMutable` that have equal attribute values.
    `JCGLColorBufferMaskingStateMutable` | `from(JCGLColorBufferMaskingStateType instance)` Fill this modifiable instance with attribute values from the provided `JCGLColorBufferMaskingStateType` instance.
    `boolean` | `getAlpha()`
    `boolean` | `getBlue()`
    `boolean` | `getGreen()`
    `boolean` | `getRed()`
    `boolean` | `greenIsSet()` Returns `true` if the default attribute `green` is set.
    `int` | `hashCode()` Computes a hash code from attributes: `red`, `green`, `blue`, `alpha`.
    `boolean` | `isInitialized()` Returns `true` if all required attributes are set, indicating that the object is initialized.
    `boolean` | `redIsSet()` Returns `true` if the default attribute `red` is set.
    `JCGLColorBufferMaskingStateMutable` | `setAlpha(boolean alpha)` Assigns a value to the `alpha` attribute.
    `JCGLColorBufferMaskingStateMutable` | `setBlue(boolean blue)` Assigns a value to the `blue` attribute.
    `JCGLColorBufferMaskingStateMutable` | `setGreen(boolean green)` Assigns a value to the `green` attribute.
    `JCGLColorBufferMaskingStateMutable` | `setRed(boolean red)` Assigns a value to the `red` attribute.
    `JCGLColorBufferMaskingState` | `toImmutable()` Converts to `JCGLColorBufferMaskingState`.
    `String` | `toString()` Generates a string representation of this `JCGLColorBufferMaskingStateType`.
    `JCGLColorBufferMaskingStateMutable` | `unsetAlpha()` Reset an attribute to its initial value.
    `JCGLColorBufferMaskingStateMutable` | `unsetBlue()` Reset an attribute to its initial value.
    `JCGLColorBufferMaskingStateMutable` | `unsetGreen()` Reset an attribute to its initial value.
    `JCGLColorBufferMaskingStateMutable` | `unsetRed()` Reset an attribute to its initial value.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static JCGLColorBufferMaskingStateMutable create(boolean red,
                                                                  boolean green,
                                                                  boolean blue,
                                                                  boolean alpha)

      Construct a modifiable instance of `JCGLColorBufferMaskingStateType`.
      Parameters:
        `red` - The value for the `red` attribute
        `green` - The value for the `green` attribute
        `blue` - The value for the `blue` attribute
        `alpha` - The value for the `alpha` attribute
      Returns:
        A new modifiable instance

    - #### create

          public static JCGLColorBufferMaskingStateMutable create()

      Construct a modifiable instance of `JCGLColorBufferMaskingStateType`.
      Returns:
        A new modifiable instance

    - #### getRed

          public final boolean getRed()

      Specified by:
        `getRed` in interface `JCGLColorBufferMaskingStateType`
      Returns:
        The mask value for the red component

    - #### getGreen

          public final boolean getGreen()

      Specified by:
        `getGreen` in interface `JCGLColorBufferMaskingStateType`
      Returns:
        The mask value for the green component

    - #### getBlue

          public final boolean getBlue()

      Specified by:
        `getBlue` in interface `JCGLColorBufferMaskingStateType`
      Returns:
        The mask value for the blue component

    - #### getAlpha

          public final boolean getAlpha()

      Specified by:
        `getAlpha` in interface `JCGLColorBufferMaskingStateType`
      Returns:
        The mask value for the alpha component

    - #### clear

          public JCGLColorBufferMaskingStateMutable clear()

      Clears the object by setting all attributes to their initial values.
      Returns:
        `this` for use in a chained invocation

    - #### from

          public JCGLColorBufferMaskingStateMutable from(JCGLColorBufferMaskingStateType instance)

      Fill this modifiable instance with attribute values from the provided `JCGLColorBufferMaskingStateType` instance. Regular attribute values will be overridden, i.e. replaced with ones of an instance. Any of the instance's absent optional values will not be copied (will not override current values).
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` for use in a chained invocation

    - #### setRed

          public JCGLColorBufferMaskingStateMutable setRed(boolean red)

      Assigns a value to the `red` attribute.

      If not set, this attribute will have a default value returned by the initializer of `red`.

      Parameters:
        `red` - The value for red
      Returns:
        `this` for use in a chained invocation

    - #### setGreen

          public JCGLColorBufferMaskingStateMutable setGreen(boolean green)

      Assigns a value to the `green` attribute.

      If not set, this attribute will have a default value returned by the initializer of `green`.

      Parameters:
        `green` - The value for green
      Returns:
        `this` for use in a chained invocation

    - #### setBlue

          public JCGLColorBufferMaskingStateMutable setBlue(boolean blue)

      Assigns a value to the `blue` attribute.

      If not set, this attribute will have a default value returned by the initializer of `blue`.

      Parameters:
        `blue` - The value for blue
      Returns:
        `this` for use in a chained invocation

    - #### setAlpha

          public JCGLColorBufferMaskingStateMutable setAlpha(boolean alpha)

      Assigns a value to the `alpha` attribute.

      If not set, this attribute will have a default value returned by the initializer of `alpha`.

      Parameters:
        `alpha` - The value for alpha
      Returns:
        `this` for use in a chained invocation

    - #### redIsSet

          public final boolean redIsSet()

      Returns `true` if the default attribute `red` is set.
      Returns:
        `true` if set

    - #### greenIsSet

          public final boolean greenIsSet()

      Returns `true` if the default attribute `green` is set.
      Returns:
        `true` if set

    - #### blueIsSet

          public final boolean blueIsSet()

      Returns `true` if the default attribute `blue` is set.
      Returns:
        `true` if set

    - #### alphaIsSet

          public final boolean alphaIsSet()

      Returns `true` if the default attribute `alpha` is set.
      Returns:
        `true` if set

    - #### unsetRed

          public final JCGLColorBufferMaskingStateMutable unsetRed()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### unsetGreen

          public final JCGLColorBufferMaskingStateMutable unsetGreen()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### unsetBlue

          public final JCGLColorBufferMaskingStateMutable unsetBlue()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### unsetAlpha

          public final JCGLColorBufferMaskingStateMutable unsetAlpha()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### isInitialized

          public final boolean isInitialized()

      Returns `true` if all required attributes are set, indicating that the object is initialized.
      Returns:
        `true` if set

    - #### toImmutable

          public final JCGLColorBufferMaskingState toImmutable()

      Converts to `JCGLColorBufferMaskingState`.
      Returns:
        An immutable instance of JCGLColorBufferMaskingState

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLColorBufferMaskingStateMutable` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `red`, `green`, `blue`, `alpha`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Generates a string representation of this `JCGLColorBufferMaskingStateType`. If uninitialized, some attribute values may appear as question marks.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation

Copyright © 2016 <code@io7m.com> http://io7m.com